Get Knowledge Folder Tree
curl --request GET \
--url https://api-spectra.duplik.cn/v1/knowledge/{knowledge_id}/folders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-spectra.duplik.cn/v1/knowledge/{knowledge_id}/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-spectra.duplik.cn/v1/knowledge/{knowledge_id}/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"folders": [
{
"file_id": "<string>",
"name": "<string>",
"type": "<string>",
"parent_id": "<string>",
"parent_ids": [
"<string>"
],
"children": [],
"has_children": false,
"level": 0,
"permission_types": []
}
],
"total": 123
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Knowledge
Get Knowledge Folder Tree
获取知识库的目录结构
GET
/
v1
/
knowledge
/
{knowledge_id}
/
folders
Get Knowledge Folder Tree
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
parent folder id
max level, if None no limit
⌘I
